What operating system versions are compatible with the app?

The app is compatible with Android 4.3, Jelly Bean and above as well as Apple iOS 8 and above.

Was this helpful?


Need more help?

We're sorry you're experiencing difficulty with your C-me. We want to help. Please contact us.